//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  (c) 2010-present DEMOS plan GmbH.
//
//  This file is part of the package demosplan,
//  for more information see the license file.
//
//  All rights reserved
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//  Utility classes:
//      .height-<number>(<unit>?)
//      .max-height-<number>(<unit>?)
//      .height-auto(-<breakpoint-alias>)
//
// Units are only appended if they are not in px.
//
//  height: [<length>|<percentage>] && [border-box|content-box]? |available|min-content|max-content|fit-content|auto
//  https://developer.mozilla.org/de/docs/Web/CSS/height

// Px-based classes like .height-60 or .max-height-300
$height-map-px: (
    'height': (28, 60, 90, 130, 220),
    'max-height': (300, 500),
    'min-height': (250)
);
@each $property, $heights in $height-map-px {
    @each $height in $heights {
        .#{$property}-#{$height} {
            #{$property}: #{$height}px;
        }
    }
}

.height {
    &-50p {
        height: 50%; // .height-50p
    }

    &-100p {
        height: 100%; // .height-100p
    }

    &-50vh {
        height: 50vh; // .height-50vh
    }

    &-100vh {
        height: 100vh; // .height-100vh
    }

    &-auto {
        height: auto !important; // .height-auto

        &-palm {
            @include media-query('palm') {
                height: auto !important; // .height-auto-palm
            }
        }

        &-lap-down {
            @include media-query('lap-down') {
                height: auto !important; // .height-auto-lap-down
            }
        }
    }

    &-fit-content {
        height: fit-content;
    }
}
